Loading...
Searching...
No Matches
release.c File Reference

Implements release.h. More...

`#include <stdlib.h>`
`#include <stdio.h>`
`#include <sys/time.h>`
`#include "media/lirc.h"`
`#include "lirc/release.h"`
`#include "lirc/receive.h"`
`#include "lirc/lirc_log.h"`

Go to the source code of this file.

## Functions

void | register_button_press (struct ir_remote *remote, struct ir_ncode *ncode, ir_code code, int reps)
| Set up pending events for given button, including the release_gap.
void | get_release_data (const char **remote_name, const char **button_name, int *reps)
| Get data from saved from last call to register_button_press().
void | get_release_time (struct timeval *tv)
| Get time for last call to register_button_press() if defined, else a noop.

## Detailed Description

Implements release.h.

Author
  Christoph Bartelmus

Definition in file release.c.

## Function Documentation

## get_release_data()

void get_release_data | ( | const char ** | remote_name,
|  | const char ** | button_name,
|  | int * | reps
| ) |  |

Get data from saved from last call to register_button_press().

Definition at line 84 of file release.c.

## get_release_time()

void get_release_time | ( | struct timeval * | tv | ) |

Get time for last call to register_button_press() if defined, else a noop.

Definition at line 99 of file release.c.

## register_button_press()

void register_button_press | ( | struct ir_remote * | remote,
|  | struct ir_ncode * | ncode,
|  | ir_code | code,
|  | int | reps
| ) |  |

Set up pending events for given button, including the release_gap.

Data is saved to be retrieved using get_release_data().

Definition at line 58 of file release.c.